Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZGroupEvent Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | getAllByOthers ()
& | getByDate ( $date, $group, $showPrivate=false)
& | getByGroupType ( $date, $group, $type, $showPrivate=false)
& | getAllByDate ( $date, $showPrivate=false, $groupNoShow=true)
& | getAllByType ( $date, $type, $showPrivate=false, $groupNoShow=true)
& | getByType ( $type, $showPrivate=false)
& | getByGroup ( $group, $showPrivate=false)
| id ()
| name ( $htmlchars=true)
| description ( $htmlchars=true)
| location ( $htmlchars=true)
| url ( $htmlchars=true)
| dateTime ()
& | getDate ()
| duration ()
& | startTime ()
& | stopTime ()
| priority ()
| status ()
| type ()
| category ()
& | isPrivate ()
& | isEventAlarmNotice ()
| setName ( $value)
| setDescription ( $value)
| setLocation ( $value)
| setUrl ( $value)
| setPriority ( $value)
| setStatus ( $value)
| setDateTime ( $dateTime)
| setType ( $type)
| setCategory ( $category)
| setGroup ( $group)
| groupID ()
| setIsPrivate ( $value)
| setEventAlarmNotice ( $value)
| setDuration ( $time)
| dbInit ()
| notification ( $debug=false)
| files ( $as_object=true)
| deleteFile ( $value)
| addFile ( $value)
| forum ( $as_object=true)
| eventIDFromForum ( $ForumID)
& | isRecurring ()
& | recurType ()
& | recurFreq ()
& | recurDay ()
& | recurMonthlyType ()
| RecurMonthlyTypeInfo ()
& | repeatUntilDate ()
& | repeatTimes ()
& | recurExceptions ()
& | repeatForever ()
| setIsRecurring ( $IsRecurring)
| setRecurFreq ( $RecurFreq)
| setRecurType ( $RecurType)
| setRecurMonthlyType ( $RecurMonthlyType='', $date=false)
| setRecurDay ( $RecurDay=false)
| setFinishDateForever ( $stamp='20371230235959')
| setFinishDateNot ( $not, $freq, $type, $datetime)
| noDisplay ()
| setNoDisplay ($bool)
| setFinishDateUntil ( $UntilDate)
| setRecurExceptions ( $ex)

## Public Attributes
| $ID
| $Name
| $Description
| $URL
| $Location
| $EventCategoryID
| $GroupID
| $Date
| $Duration
| $EventTypeID
| $EMailNotice
| $EventAlarmNotice
| $IsPrivate
| boolean stored as an int More...
| $IsRecurring
| boolean stored as an int More...
| $RecurExceptions
| $RecurDay
| $RecurMonthlyType
| $RecurMonthlyTypeInfo
| $RecurType
| $RecurFreq
| $RepeatForever
| $RepeatTimes
| $RepeatUntilDate
| $RecurFinishDate
| $noDisplay
| $Priority
| The priority of the event, values can be 0, 1, 2 where 1 is normal. More...
| $Status
| The status of the event, values can be 0, 1, 2 where 1 is normal. More...
| $Database
| Variable for keeping the database connection. More...
| $State_
| Indicates the state of the object. In regard to database information. More...
| $IsConnected
| Is true if the object has database connection, false if not. More...
| $Url
| $Time
| $RecurForever

## Detailed Description

Definition at line 84 of file ezgroupevent.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGroupEvent::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZGroupEvent object.

If $id is set the object's values are fetched from the database.

Definition at line 92 of file ezgroupevent.php.

References $id, and $ID.

## Member Function Documentation

## ◆ addFile()

eZGroupEvent::addFile | ( |  | $value | ) |

Adds an file to the event.
$value can either be a eZVirtualFile or an ID

Definition at line 1459 of file ezgroupevent.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ category()

eZGroupEvent::category | ( |  | ) |

Sets the event category.

Definition at line 935 of file ezgroupevent.php.

References $category, and $ID.

## ◆ dateTime()

eZGroupEvent::dateTime | ( |  | ) |

Returns the date and time of the event.

Definition at line 821 of file ezgroupevent.php.

References $date, and $ID.

Referenced by notification().

## ◆ dbInit()

eZGroupEvent::dbInit | ( |  | ) |

Private function. Open the database for read and write. Gets all the database information from site.ini.

Definition at line 1164 of file ezgroupevent.php.

References eZDB\globalDatabase().

Referenced by delete(), get(), getAll(), getAllByDate(), getAllByOthers(), getAllByType(), getByDate(), getByGroup(), getByGroupType(), getByType(), and store().

## ◆ delete()

eZGroupEvent::delete | ( |  | ) |

Deletes a eZGroupEvent object from the database.

Definition at line 204 of file ezgroupevent.php.

References dbInit().

## ◆ deleteFile()

eZGroupEvent::deleteFile | ( |  | $value | ) |

Deletes an file from the event.
$value can either be a eZVirtualFile or an ID

NOTE: the file does not get deleted from the file catalogue.

Definition at line 1439 of file ezgroupevent.php.

References $db, and eZDB\globalDatabase().

## ◆ description()

eZGroupEvent::description | ( |  | $htmlchars = `true` | ) |

Returns the type description.

Definition at line 765 of file ezgroupevent.php.

References $Description, and $ID.

## ◆ duration()

eZGroupEvent::duration | ( |  | ) |

Returns the duration of the event as an eZTime object.

Definition at line 848 of file ezgroupevent.php.

References $ID, and $time.

Referenced by stopTime().

## ◆ eventIDFromForum()

eZGroupEvent::eventIDFromForum | ( |  | $ForumID | ) |

Returns the event which a review is connected to.

Definition at line 1562 of file ezgroupevent.php.

References $db, $result, and eZDB\globalDatabase().

## ◆ files()

eZGroupEvent::files | ( |  | $as_object = `true` | ) |

Returns every file to a event as an array of eZFile objects.

Definition at line 1415 of file ezgroupevent.php.

References $db, $i, $id, and eZDB\globalDatabase().

## ◆ forum()

eZGroupEvent::forum | ( |  | $as_object = `true` | ) |

Returns the comments for the event.

Definition at line 1495 of file ezgroupevent.php.

References $category, $db, $forum, $ini, $module, $res, and eZDB\globalDatabase().

## ◆ get()

eZGroupEvent::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 219 of file ezgroupevent.php.

References $id, dbInit(), Name, and RecurMonthlyTypeInfo().

## ◆ getAll()

& eZGroupEvent::getAll | ( |  | ) |

Returns all the events found in the database.

The events are returned as an array of eZEvent objects.

Definition at line 280 of file ezgroupevent.php.

References $i, and dbInit().

## ◆ getAllByDate()

& eZGroupEvent::getAllByDate | ( |  | $date,
|  |  | $showPrivate = `false`,
|  |  | $groupNoShow = `true`
| ) |  |

Returns all the events for all groups on the given date.

The events are returned as an array of eZEvent objects.

Definition at line 496 of file ezgroupevent.php.

References $date, $day, $i, $month, $noShowGroup, $ret, $showPrivate, eZDateTime\addZero(), dbInit(), and filterRecurring().

## ◆ getAllByOthers()

& eZGroupEvent::getAllByOthers | ( |  | ) |

Returns the events thats belongs to another group found in the database.

The events are returned as an array of eZEvent objects.

Definition at line 303 of file ezgroupevent.php.

References $i, and dbInit().

## ◆ getAllByType()

& eZGroupEvent::getAllByType | ( |  | $date,
|  |  | $type,
|  |  | $showPrivate = `false`,
|  |  | $groupNoShow = `true`
| ) |  |

Returns all the events for all groups by a given type on the given date.

The events are returned as an array of eZEvent objects.

Definition at line 576 of file ezgroupevent.php.

References $date, $day, $i, $month, $noShowGroup, $query, $ret, $showPrivate, $type, eZDateTime\addZero(), dbInit(), and filterRecurring().

## ◆ getByDate()

& eZGroupEvent::getByDate | ( |  | $date,
|  |  | $group,
|  |  | $showPrivate = `false`
| ) |  |

Returns all the events for the given user on the given date.

The events are returned as an array of eZEvent objects.

Definition at line 327 of file ezgroupevent.php.

References $date, $day, $group, $groupID, $i, $ini, $month, $query, $ret, $showPrivate, $tree, eZDateTime\addZero(), dbInit(), and filterRecurring().

## ◆ getByGroup()

& eZGroupEvent::getByGroup | ( |  | $group,
|  |  | $showPrivate = `false`
| ) |  |

Returns all the events for the given type.

The events are returned as an array of eZEvent objects.

Definition at line 698 of file ezgroupevent.php.

References $group, $groupID, $i, $ret, $showPrivate, and dbInit().

## ◆ getByGroupType()

& eZGroupEvent::getByGroupType | ( |  | $date,
|  |  | $group,
|  |  | $type,
|  |  | $showPrivate = `false`
| ) |  |

Returns all the events for the given group on the given date and type.

The events are returned as an array of eZEvent objects.

Definition at line 409 of file ezgroupevent.php.

References $date, $day, $event, $group, $groupID, $i, $ini, $month, $query, $ret, $showPrivate, $tree, $type, eZDateTime\addZero(), dbInit(), and filterRecurring().

## ◆ getByType()

& eZGroupEvent::getByType | ( |  | $type,
|  |  | $showPrivate = `false`
| ) |  |

Returns all the events for the given group.

The events are returned as an array of eZEvent objects.

Definition at line 656 of file ezgroupevent.php.

References $i, $ret, $showPrivate, $type, and dbInit().

## ◆ getDate()

& eZGroupEvent::getDate | ( |  | ) |

Returns the date of the event.

Definition at line 835 of file ezgroupevent.php.

References $date, $Date, and $ID.

## ◆ groupID()

eZGroupEvent::groupID | ( |  | ) |

Returns the group ID of the event group.

Definition at line 1103 of file ezgroupevent.php.

References $GroupID.

## ◆ id()

eZGroupEvent::id | ( |  | ) |

Returns the object ID to the event. This is the unique ID stored in the database.

Definition at line 738 of file ezgroupevent.php.

References $ID.

## ◆ isEventAlarmNotice()

& eZGroupEvent::isEventAlarmNotice | ( |  | ) |

Returns true if the event notification is enabled.

Definition at line 963 of file ezgroupevent.php.

References $ID, and $ret.

## ◆ isPrivate()

& eZGroupEvent::isPrivate | ( |  | ) |

Returns true if the event is private.

Definition at line 947 of file ezgroupevent.php.

References $ID, and $ret.

## ◆ isRecurring()

& eZGroupEvent::isRecurring | ( |  | ) |

Returns true if the event is recurring.

Definition at line 1579 of file ezgroupevent.php.

References $ID, and $ret.

## ◆ location()

eZGroupEvent::location | ( |  | $htmlchars = `true` | ) |

Returns the type location.

Definition at line 784 of file ezgroupevent.php.

References $ID, and $Location.

## ◆ name()

eZGroupEvent::name | ( |  | $htmlchars = `true` | ) |

Returns the name of the event.

Definition at line 747 of file ezgroupevent.php.

References $ID, $Name, and Name.

Referenced by notification().

## ◆ noDisplay()

eZGroupEvent::noDisplay | ( |  | ) |

Returns a bool toggle to add in filtering events.

Definition at line 1935 of file ezgroupevent.php.

References $noDisplay.

Referenced by setNoDisplay().

## ◆ notification()

eZGroupEvent::notification | ( |  | $debug = `false` | ) |

Public function.
Email Notice to all Members of an Group the Event is Acociated with (including all)

Definition at line 1177 of file ezgroupevent.php.

References $current_date, $db, $debug, $eventGroup, $group, $GroupID, $ini, $mail, $ret, $user, $userID, $userList, dateTime(), eZDB\globalDatabase(), laddZero(), name(), and startTime().

## ◆ priority()

eZGroupEvent::priority | ( |  | ) |

Returns the priority, can be 0,1,2.

Definition at line 901 of file ezgroupevent.php.

References $ID, and $Priority.

## ◆ recurDay()

& eZGroupEvent::recurDay | ( |  | ) |

Returns an array form of RecurDay

Definition at line 1616 of file ezgroupevent.php.

References $ID, and $ret.

## ◆ recurExceptions()

& eZGroupEvent::recurExceptions | ( |  | ) |

Returns array form of RecurExceptions

Definition at line 1686 of file ezgroupevent.php.

References $ID, and $ret.

## ◆ recurFreq()

& eZGroupEvent::recurFreq | ( |  | ) |

Returns value of RecurFreq

Definition at line 1605 of file ezgroupevent.php.

References $ID, $RecurFreq, and $ret.

## ◆ recurMonthlyType()

& eZGroupEvent::recurMonthlyType | ( |  | ) |

Returns an array form of RecurDay

Definition at line 1627 of file ezgroupevent.php.

References $ID, $RecurMonthlyType, and $ret.

## ◆ RecurMonthlyTypeInfo()

eZGroupEvent::RecurMonthlyTypeInfo | ( |  | ) |

Returns RecurMonthlyTypeInfo

Definition at line 1638 of file ezgroupevent.php.

References $ID, $RecurMonthlyTypeInfo, and $ret.

Referenced by get(), setFinishDateNot(), and setRecurMonthlyType().

## ◆ recurType()

& eZGroupEvent::recurType | ( |  | ) |

Returns value of RecurType

Definition at line 1594 of file ezgroupevent.php.

References $ID, $RecurType, and $ret.

## ◆ repeatForever()

& eZGroupEvent::repeatForever | ( |  | ) |

Returns repeatForever

Definition at line 1699 of file ezgroupevent.php.

References $ID, $RepeatForever, and $ret.

## ◆ repeatTimes()

& eZGroupEvent::repeatTimes | ( |  | ) |

Returns RepeatTimes or false

Definition at line 1671 of file ezgroupevent.php.

References $ID, $RepeatTimes, and $ret.

## ◆ repeatUntilDate()

& eZGroupEvent::repeatUntilDate | ( |  | ) |

Returns RepeatUntilDate or false

Definition at line 1649 of file ezgroupevent.php.

References $day, $ID, $month, $ret, and $year.

## ◆ setCategory()

eZGroupEvent::setCategory | ( |  | $category | ) |

Sets the event category.

Definition at line 1075 of file ezgroupevent.php.

References $category, and $ID.

## ◆ setDateTime()

eZGroupEvent::setDateTime | ( |  | $dateTime | ) |

Sets the event date and time. Takes an eZDateTime object as argument.

Definition at line 1047 of file ezgroupevent.php.

References $dateTime, and $ID.

## ◆ setDescription()

eZGroupEvent::setDescription | ( |  | $value | ) |

Sets the description of the event.

Definition at line 990 of file ezgroupevent.php.

References $ID.

## ◆ setDuration()

eZGroupEvent::setDuration | ( |  | $time | ) |

Sets the event duration.

Definition at line 1149 of file ezgroupevent.php.

References $ID, and $time.

## ◆ setEventAlarmNotice()

eZGroupEvent::setEventAlarmNotice | ( |  | $value | ) |

Sets the event notification property.

Definition at line 1131 of file ezgroupevent.php.

References $ID.

## ◆ setFinishDateForever()

eZGroupEvent::setFinishDateForever | ( |  | $stamp = `'20371230235959'` | ) |

Sets the finish date to the maximum

Definition at line 1801 of file ezgroupevent.php.

References $ID.

## ◆ setFinishDateNot()

eZGroupEvent::setFinishDateNot | ( |  | $not,
|  |  | $freq,
|  |  | $type,
|  |  | $datetime
| ) |  |

Calculates the finish date based on the number of times, recurrance frequency, the recurrance type, and the date the event started.

Definition at line 1813 of file ezgroupevent.php.

References $date, $datetime, $i, $ID, $type, and RecurMonthlyTypeInfo().

## ◆ setFinishDateUntil()

eZGroupEvent::setFinishDateUntil | ( |  | $UntilDate | ) |

Sets the FinishDate to the UntilDate. UntilDate comes in format yyyy-mm-dd.

Definition at line 1952 of file ezgroupevent.php.

References $ID.

## ◆ setGroup()

eZGroupEvent::setGroup | ( |  | $group | ) |

Sets the event Group.

Definition at line 1089 of file ezgroupevent.php.

References $group, and $ID.

## ◆ setIsPrivate()

eZGroupEvent::setIsPrivate | ( |  | $value | ) |

Sets the event to private or not.

Definition at line 1111 of file ezgroupevent.php.

References $ID.

## ◆ setIsRecurring()

eZGroupEvent::setIsRecurring | ( |  | $IsRecurring | ) |

Sets the IsRecurring

Definition at line 1712 of file ezgroupevent.php.

References $ID, and $IsRecurring.

## ◆ setLocation()

eZGroupEvent::setLocation | ( |  | $value | ) |

Sets the location of the event.

Definition at line 1001 of file ezgroupevent.php.

References $ID.

## ◆ setName()

eZGroupEvent::setName | ( |  | $value | ) |

Sets the name of the event.

Definition at line 979 of file ezgroupevent.php.

References $ID, and Name.

## ◆ setNoDisplay()

eZGroupEvent::setNoDisplay | ( |  | $bool | ) |

Sets a noDisplay toggle.

Definition at line 1943 of file ezgroupevent.php.

References $ID, and noDisplay().

## ◆ setPriority()

eZGroupEvent::setPriority | ( |  | $value | ) |

Sets the priority of the event.

Definition at line 1024 of file ezgroupevent.php.

References $ID.

## ◆ setRecurDay()

eZGroupEvent::setRecurDay | ( |  | $RecurDay = `false` | ) |

Sets the recurrance days in a string like 'day1:day2:day3'.

Definition at line 1777 of file ezgroupevent.php.

References $day, $ID, and $RecurDay.

## ◆ setRecurExceptions()

eZGroupEvent::setRecurExceptions | ( |  | $ex | ) |

Sets the recur exceptions string for entry into db.

Definition at line 1967 of file ezgroupevent.php.

References $ID.

## ◆ setRecurFreq()

eZGroupEvent::setRecurFreq | ( |  | $RecurFreq | ) |

Sets the recurrance frequency.

Definition at line 1726 of file ezgroupevent.php.

References $ID, and $RecurFreq.

## ◆ setRecurMonthlyType()

eZGroupEvent::setRecurMonthlyType | ( |  | $RecurMonthlyType = `''`,
|  |  | $date = `false`
| ) |  |

Sets the recurrance monthly type AND the type info. $date must be an eZDate or eZDateTime object.

Definition at line 1747 of file ezgroupevent.php.

References $date, $ID, $RecurMonthlyType, and RecurMonthlyTypeInfo().

## ◆ setRecurType()

eZGroupEvent::setRecurType | ( |  | $RecurType | ) |

Sets the recurrance type.

Definition at line 1737 of file ezgroupevent.php.

References $ID, and $RecurType.

## ◆ setStatus()

eZGroupEvent::setStatus | ( |  | $value | ) |

Sets the status of the event.

Definition at line 1035 of file ezgroupevent.php.

References $ID.

## ◆ setType()

eZGroupEvent::setType | ( |  | $type | ) |

Sets the event type.

Definition at line 1061 of file ezgroupevent.php.

References $ID, and $type.

## ◆ setUrl()

eZGroupEvent::setUrl | ( |  | $value | ) |

Sets the url of the event.

Definition at line 1012 of file ezgroupevent.php.

References $ID.

## ◆ startTime()

& eZGroupEvent::startTime | ( |  | ) |

Returns the start time of the event.

Definition at line 862 of file ezgroupevent.php.

References $date, $ID, and $time.

Referenced by notification().

## ◆ status()

eZGroupEvent::status | ( |  | ) |

Returns the status, can be 0,1,2.

Definition at line 912 of file ezgroupevent.php.

References $ID, and $Status.

## ◆ stopTime()

& eZGroupEvent::stopTime | ( |  | ) |

Returns the end time of the event.

Definition at line 881 of file ezgroupevent.php.

References $date, $ID, $time, and duration().

## ◆ store()

eZGroupEvent::store | ( |  | ) |

Stores a eZEvent object to the database.

Definition at line 125 of file ezgroupevent.php.

References $Description, $Name, $query, dbInit(), and Name.

## ◆ type()

eZGroupEvent::type | ( |  | ) |

Sets the event type.

Definition at line 923 of file ezgroupevent.php.

References $ID, and $type.

## ◆ url()

eZGroupEvent::url | ( |  | $htmlchars = `true` | ) |

Returns the type url.

Definition at line 802 of file ezgroupevent.php.

References $ID, and $Url.

## Member Data Documentation

## ◆ $Database

eZGroupEvent::$Database

Variable for keeping the database connection.

Definition at line 2025 of file ezgroupevent.php.

## ◆ $Date

eZGroupEvent::$Date

Definition at line 1994 of file ezgroupevent.php.

Referenced by getDate().

## ◆ $Description

eZGroupEvent::$Description

Definition at line 1987 of file ezgroupevent.php.

Referenced by description(), and store().

## ◆ $Duration

eZGroupEvent::$Duration

Definition at line 1995 of file ezgroupevent.php.

## ◆ $EMailNotice

eZGroupEvent::$EMailNotice

Definition at line 1997 of file ezgroupevent.php.

## ◆ $EventAlarmNotice

eZGroupEvent::$EventAlarmNotice

Definition at line 1999 of file ezgroupevent.php.

## ◆ $EventCategoryID

eZGroupEvent::$EventCategoryID

Definition at line 1991 of file ezgroupevent.php.

## ◆ $EventTypeID

eZGroupEvent::$EventTypeID

Definition at line 1996 of file ezgroupevent.php.

## ◆ $GroupID

eZGroupEvent::$GroupID

Definition at line 1993 of file ezgroupevent.php.

Referenced by groupID(), and notification().

## ◆ $ID

eZGroupEvent::$ID

Definition at line 1985 of file ezgroupevent.php.

Referenced by __construct(), category(), dateTime(), description(), duration(), getDate(), id(), isEventAlarmNotice(), isPrivate(), isRecurring(), location(), name(), priority(), recurDay(), recurExceptions(), recurFreq(), recurMonthlyType(), RecurMonthlyTypeInfo(), recurType(), repeatForever(), repeatTimes(), repeatUntilDate(), setCategory(), setDateTime(), setDescription(), setDuration(), setEventAlarmNotice(), setFinishDateForever(), setFinishDateNot(), setFinishDateUntil(), setGroup(), setIsPrivate(), setIsRecurring(), setLocation(), setName(), setNoDisplay(), setPriority(), setRecurDay(), setRecurExceptions(), setRecurFreq(), setRecurMonthlyType(), setRecurType(), setStatus(), setType(), setUrl(), startTime(), status(), stopTime(), type(), and url().

## ◆ $IsConnected

eZGroupEvent::$IsConnected

Is true if the object has database connection, false if not.

Definition at line 2030 of file ezgroupevent.php.

## ◆ $IsPrivate

eZGroupEvent::$IsPrivate

boolean stored as an int

Definition at line 2002 of file ezgroupevent.php.

## ◆ $IsRecurring

eZGroupEvent::$IsRecurring

boolean stored as an int

Definition at line 2005 of file ezgroupevent.php.

Referenced by setIsRecurring().

## ◆ $Location

eZGroupEvent::$Location

Definition at line 1990 of file ezgroupevent.php.

Referenced by location().

## ◆ $Name

eZGroupEvent::$Name

Definition at line 1986 of file ezgroupevent.php.

Referenced by name(), and store().

## ◆ $noDisplay

eZGroupEvent::$noDisplay

Definition at line 2017 of file ezgroupevent.php.

Referenced by noDisplay().

## ◆ $Priority

eZGroupEvent::$Priority

The priority of the event, values can be 0, 1, 2 where 1 is normal.

Definition at line 2019 of file ezgroupevent.php.

Referenced by priority().

## ◆ $RecurDay

eZGroupEvent::$RecurDay

Definition at line 2007 of file ezgroupevent.php.

Referenced by setRecurDay().

## ◆ $RecurExceptions

eZGroupEvent::$RecurExceptions

Definition at line 2006 of file ezgroupevent.php.

## ◆ $RecurFinishDate

eZGroupEvent::$RecurFinishDate

Definition at line 2015 of file ezgroupevent.php.

## ◆ $RecurForever

eZGroupEvent::$RecurForever

Definition at line 2033 of file ezgroupevent.php.

## ◆ $RecurFreq

eZGroupEvent::$RecurFreq

Definition at line 2011 of file ezgroupevent.php.

Referenced by recurFreq(), and setRecurFreq().

## ◆ $RecurMonthlyType

eZGroupEvent::$RecurMonthlyType

Definition at line 2008 of file ezgroupevent.php.

Referenced by recurMonthlyType(), and setRecurMonthlyType().

## ◆ $RecurMonthlyTypeInfo

eZGroupEvent::$RecurMonthlyTypeInfo

Definition at line 2009 of file ezgroupevent.php.

Referenced by RecurMonthlyTypeInfo().

## ◆ $RecurType

eZGroupEvent::$RecurType

Definition at line 2010 of file ezgroupevent.php.

Referenced by recurType(), and setRecurType().

## ◆ $RepeatForever

eZGroupEvent::$RepeatForever

Definition at line 2012 of file ezgroupevent.php.

Referenced by repeatForever().

## ◆ $RepeatTimes

eZGroupEvent::$RepeatTimes

Definition at line 2013 of file ezgroupevent.php.

Referenced by repeatTimes().

## ◆ $RepeatUntilDate

eZGroupEvent::$RepeatUntilDate

Definition at line 2014 of file ezgroupevent.php.

## ◆ $State_

eZGroupEvent::$State_

Indicates the state of the object. In regard to database information.

Definition at line 2028 of file ezgroupevent.php.

## ◆ $Status

eZGroupEvent::$Status

The status of the event, values can be 0, 1, 2 where 1 is normal.

Definition at line 2022 of file ezgroupevent.php.

Referenced by status().

## ◆ $Time

eZGroupEvent::$Time

Definition at line 2032 of file ezgroupevent.php.

## ◆ $URL

eZGroupEvent::$URL

Definition at line 1989 of file ezgroupevent.php.

## ◆ $Url

eZGroupEvent::$Url

Definition at line 2031 of file ezgroupevent.php.

Referenced by url().

The documentation for this class was generated from the following file:

- ezgroupevent.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.